# Poco

# template < class M >

# class ScopedLockWithUnlock

Library: Foundation
Package: Threading
Header: Poco/ScopedLock.h

## Description

A class that simplifies thread synchronization with a mutex. The constructor accepts a Mutex (and optionally a timeout value in milliseconds) and locks it. The destructor unlocks the mutex. The unlock() member function allows for manual unlocking of the mutex.

## Member Summary

Member Functions: unlock

## Constructors

### ScopedLockWithUnlock

explicit ScopedLockWithUnlock(
M & mutex
);

### ScopedLockWithUnlock

ScopedLockWithUnlock(
M & mutex,
long milliseconds
);

## Destructor

### ~ScopedLockWithUnlock

~ScopedLockWithUnlock();

## Member Functions

### unlock

void unlock();